Package org.eclipse.net4j.util.security

# Class RandomizerFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.security.RandomizerFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

public class RandomizerFactory extends Factory

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`RandomizerFactory()`

## Method Summary

Modifier and Type
Method
Description
`Randomizer`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### RandomizerFactory

public RandomizerFactory()

## Method Details

### create

public Randomizer create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`